Subject: Re: Anodizing Titanium, cleaing etch...

From: [email-masked] (Thomas Schwerdt)
Date: 19 Oct 1993 19:10:21 GMT

In article <[email-masked]> [email-masked] (William ) writes:
>Apparently, before you anodize titanium (eg to make pretty colored jewlery),
>you are apparently supposed to etch it clean using a mix of nitric and
>hydrofloric acids.  That's a little intense for what I had in mind.  Are there
>any safer etchants that can be used, say, if I'm willing to wait longer for
>them to take effect?
>
>Thanks
>Bill W

In my jewelry class this past semester, we just buffed the Ti to a high
polish. It anodized quite nicely after that. As an aside -- it is quite 
difficult to get a nice green with Ti. Try Neodymium instead if a green color
is what you are after. :)

-Tom The Melaniephile